version: '2'

services:

  ouroboros:
    hostname: ouroboros
    image: pyouroboros/ouroboros:latest
    environment:
      - CLEANUP=true
      - INTERVAL=300
      - LOG_LEVEL=info
      - SELF_UPDATE=true
      - IGNORE=postgres
      - TZ=America/Chicago
    restart: unless-stopped
    volumes:
      - /var/run/docker.sock:/var/run/docker.sock

  postgres:
    image: postgres:13.1
    hostname: postgres
    ports:
      - "5433:5432"
    restart: unless-stopped
    volumes:
      - c:/temp/postgres:/var/lib/postgresql/data
    environment:
      POSTGRES_DB: task-manager
      POSTGRES_USER: postgres
      POSTGRES_PASSWORD: postgres

  pgadmin:
    image: dpage/pgadmin4:5
    hostname: pgadmin
    ports:
      - "8080:80"
    restart: unless-stopped
    volumes:
      - c:/temp/pgadmin:/var/lib/postgresql/data
    depends_on:
      - postgres
    environment:
      PGADMIN_DEFAULT_EMAIL: postgres@example.com
      PGADMIN_DEFAULT_PASSWORD: postgres

  balancer:
    image: balancer:latest
    hostname: balancer
    ports:
      - "90:80"

  alpha:
    image: tm-server:latest
    hostname: alpha
    ports:
      - "9091:8081"
    depends_on:
      - postgres
    environment:
      server.host: alpha
      jdbc.url: jdbc:postgresql://postgres:5432/task-manager
      jdbc.user: postgres
      jdbc.password: postgres

  betta:
    image: tm-server:latest
    hostname: betta
    ports:
      - "9092:8081"
    depends_on:
      - postgres
    environment:
      server.host: betta
      jdbc.url: jdbc:postgresql://postgres:5432/task-manager
      jdbc.user: postgres
      jdbc.password: postgres

  gamma:
    image: tm-server:latest
    hostname: gamma
    ports:
      - "9093:8081"
    depends_on:
      - postgres
    environment:
      server.host: gamma
      jdbc.url: jdbc:postgresql://postgres:5432/task-manager
      jdbc.user: postgres
      jdbc.password: postgres

  tm-logger:
    image: tm-logger:latest

networks:
  default: